Package org.eclipse.m2m.atl.adt.debug.ui

## Class DisassemblyModeAction

- java.lang.Object
- - org.eclipse.m2m.atl.adt.debug.ui.DisassemblyModeAction

All Implemented Interfaces:
  `org.eclipse.ui.IActionDelegate`, `org.eclipse.ui.IObjectActionDelegate`

    public class DisassemblyModeAction
    extends java.lang.Object
    implements org.eclipse.ui.IObjectActionDelegate

DisassemblyModeAction is the action runned by the popup menu Disassembly Mode for IElement.

See Also:
  `and extension point="org.eclipse.ui.popupMenus" in plugin.xml This action allows to switch between normal and disassembly mode.`

### Constructor Summary

Constructors
`DisassemblyModeAction()` Constructor for DisassemblyModeAction.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run​(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged​(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `setActivePart​(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DisassemblyModeAction

    public DisassemblyModeAction()

Constructor for DisassemblyModeAction.

### Method Detail

#### setActivePart

    public void setActivePart​(org.eclipse.jface.action.IAction action,
                              org.eclipse.ui.IWorkbenchPart targetPart)

Specified by:
  `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`
See Also:
  `IObjectActionDelegate.setActivePart(org.eclipse.jface.action.IAction, org.eclipse.ui.IWorkbenchPart)`

#### run

    public void run​(org.eclipse.jface.action.IAction action)

Specified by:
  `run` in interface `org.eclipse.ui.IActionDelegate`
See Also:
  `IActionDelegate.run(org.eclipse.jface.action.IAction)`

#### selectionChanged

    public void selectionChanged​(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
See Also:
  `IActionDelegate.selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)`